Scroll to navigation

PERLAMIGA(1) Perl Programmers Reference Guide PERLAMIGA(1)

NAME

perlamiga - Perl under AmigaOS 4.1

NOTE

This is a port of Perl 5.22.1, it is a fresh port and not in any way compatible with my previous ports of Perl 5.8 and 5.16.3. This means you will need to reinstall / rebuild any third party modules you have installed.

newlib.library version 53.28 or greater is required.

SYNOPSIS

Once perl is installed you can read this document in the following way

        sh -c "perldoc perlamiga"

or you may read as is: either as README.amiga, or pod/perlamiga.pod.

DESCRIPTION

Prerequisites for running Perl 5.22.1 under AmigaOS 4.1

The most important of which is:
Perl installs into the SDK directory structure and expects many of the build tools present in the SDK to be available. So for the best results install the SDK first.
If you do not have the SDK installed you must at least have abc-shell installed or some other suitable sh port. This is required to run external commands and should be available as 'sh' in your path.

Starting Perl programs under AmigaOS 4.1

Perl may be run from the AmigaOS shell but for best results should be run under abc-shell. (abc-shell handles file globbing, pattern expansion, and sets up environment variables in the UN*Xy way that Perl expects.)

For example:

        New Shell process 10
        10.AmigaOS4:> sh
        /AmigaOS4>perl path:to/myprog arg1 arrg2 arg3

Abc-shell can also launch programs via the #! syntax at the start of the program file, it's best use the form #!SDK:Local/C/perl so that the AmigaOS shell may also find perl in the same way. AmigaOS requires the script bit to be set for this to work

        10.AmigaOS4:> sh
        /AmigaOS4>myprog arg1 arrg2 arg3

Limitations of Perl under AmigaOS 4.1

abc-shell version 53.2 has a bug that can cause crashes in the subprocesses used to run piped programs, if a later version is available you should install it instead.
newlib.library 53.30 and earlier incorrectly unescape slashed escape sequences e.g. \" \n \t etc requiring unusual extra escaping.
        open FH, "command |"
    

Subprocesses started with open use a minimal popen() routine and therefore they do not return pids usable with waitpid etc.

Please report bugs in this version of perl to andy@broad.ology.org.uk in the first instance.

INSTALLATION

This guide assumes you have obtained a prebuilt archive from os4depot.net.

Unpack the main archive to a temporary location (RAM: is fine).

Execute the provided install script from shell or via its icon.

You must not attempt to install by hand.

Once installed you may delete the temporary archive.

This approach will preserve links in the installation without creating duplicate binaries.

If you have the earlier ports perl 5.16 or 5.8 installed you may like to rename your perl executable to perl516 or perl58 or something similar before the installation of 5.22.1, this will allow you to use both versions at the same time.

Amiga Specific Modules

Amiga::ARexx

The Amiga::ARexx module allows you to easily create a perl based ARexx host or to send ARexx commands to other programs.

Try "perldoc Amiga::ARexx" for more info.

Amiga::Exec

The Amiga::Exec module introduces support for Wait().

Try "perldoc Amiga::Exec" for more info.

BUILDING

To build perl under AmigaOS from the patched sources you will need to have a recent version of the SDK. Version 53.29 is recommended, earlier versions will probably work too.

With the help of Jarkko Hietaniemi the Configure system has been tweaked to run under abc-shell so the recommend build process is as follows.

        stack 2000000
        sh Configure -de
        gmake

This will build the default setup that installs under SDK:local/newlib/lib/

CHANGES

27th November 2013
20th November 2013
10th October 13
First release of port to 5.16.3.

SEE ALSO

You like this port? See <http://www.broad.ology.org.uk/amiga/> for how you can help.

2021-08-27 perl v5.34.0